# 
# Copyright (C) 2006 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#
# $Id: Makefile 8659 2007-09-07 08:34:51Z nico $

include $(TOPDIR)/rules.mk

PKG_NAME:=psmtest
PKG_VERSION:=0.99
PKG_RELEASE:=1

include $(INCLUDE_DIR)/package.mk

define Package/psmtest
#  SECTION:=utils
  CATEGORY:=Voice Pump Driver Test Programs
  TITLE:=phone state machine program to test voice pump driver
endef

define Package/psmtest/description
 This package contains a phone state machine application for testing voice pump driver
endef

define Build/Compile
	@echo "Compiling..................."
	$(INSTALL_DIR) $(PKG_BUILD_DIR)/binary
	tar xzfO $(PKG_NAME)_$(PKG_VERSION)-$(PKG_RELEASE)_arm.ipk ./data.tar.gz | tar -C $(PKG_BUILD_DIR)/binary -xzf -
endef

# $(1) will be /build_dir/arm/psmtest-0.99/ipkg/psmtest
define Package/psmtest/install
	@echo "Install.................."
	$(CP) $(PKG_BUILD_DIR)/binary/* $(1)
endef

$(eval $(call BuildPackage,psmtest))
